#misc
execute as @a[tag=!started] if entity @a[tag=started] run tag @s add started
execute as @a[tag=ready] if entity @a[tag=started] run tag @s remove ready
#custom mobs
execute as @e[tag=blob1,type=silverfish] at @s store result entity @e[type=armor_stand,tag=blob_1,limit=1,sort=nearest] Rotation[0] float 1 run data get entity @s Rotation[0]
execute as @e[tag=blob_1,type=armor_stand] at @s unless entity @e[type=silverfish,tag=blob1,distance=0..0.5] run kill @s
execute as @e[tag=blob2,type=villager] at @s store result entity @e[type=armor_stand,tag=blob_2,limit=1,sort=nearest] Rotation[0] float 1 run data get entity @s Rotation[0]
execute as @e[tag=blob_2,type=armor_stand] at @s unless entity @e[type=villager,tag=blob2,distance=0..2] run kill @s
execute as @e[tag=Blob3,type=piglin_brute] at @s store result entity @e[type=armor_stand,tag=Blob_3,limit=1,sort=nearest] Rotation[0] float 1 run data get entity @s Rotation[0]
execute as @e[tag=Blob_3,type=armor_stand] at @s unless entity @e[type=piglin_brute,tag=Blob3,distance=0..3] run kill @s
execute as @e[tag=Blob4,type=piglin_brute] at @s store result entity @e[type=armor_stand,tag=Blob_4,limit=1,sort=nearest] Rotation[0] float 1 run data get entity @s Rotation[0]
execute as @e[tag=Blob_4,type=armor_stand] at @s unless entity @e[type=piglin_brute,tag=Blob4,distance=0..3] run kill @s
#flesh powers
execute as @e[tag=blob1,type=silverfish] at @s if block ^ ^ ^0.1 #sun:fences run tp @s ^ ^ ^0.7
execute as @e[tag=blob1,type=silverfish] at @s if block ~ ~-1 ~ #sun:trapdoor run tp @s ~ ~-0.5 ~
execute as @e[tag=blob1,type=silverfish] at @s if block ~ ~-1 ~ #sun:fences run tp @s ~ ~-0.5 ~
execute as @e[team=blobs] at @s rotated ~ 0 if block ~ ~ ~0.5 #sun:fences run tp @s ~ ~ ~2
execute as @e[team=blobs] at @s rotated ~ 0 if block ~-0.5 ~ ~ #sun:fences run tp @s ~-2 ~ ~
execute as @e[team=blobs] at @s rotated ~ 0 if block ~ ~ ~-0.5 #sun:fences run tp @s ~ ~ ~-2
execute as @e[team=blobs] at @s rotated ~ 0 if block ~0.5 ~ ~ #sun:fences run tp @s ~2 ~ ~
execute as @e[tag=blob2,type=villager] at @s if block ~ ~-1 ~ #sun:trapdoor run tp @s ~ ~-0.5 ~
execute as @e[tag=blob2,type=villager] at @s if block ~ ~-1 ~ #sun:fences run tp @s ~ ~-0.5 ~
execute as @e[tag=Blob3,type=piglin_brute] at @s if block ~ ~-1 ~ #sun:trapdoor run tp @s ~ ~-0.5 ~
execute as @e[tag=Blob3,type=piglin_brute] at @s if block ~ ~-1 ~ #sun:fences run tp @s ~ ~-0.5 ~
execute as @e[tag=Blob4,type=piglin_brute] at @s if block ~ ~-1 ~ #sun:trapdoor run tp @s ~ ~-0.5 ~
execute as @e[tag=Blob4,type=piglin_brute] at @s if block ~ ~-1 ~ #sun:fences run tp @s ~ ~-0.5 ~
execute as @a at @s if entity @e[type=silverfish,tag=blob1,distance=..0.8] run effect give @s slowness 1 2 true
execute as @e[team=blobs] at @s positioned ~ ~1.5 ~ run kill @e[type=#sun:projectile,distance=..2.5]
#pull attack
execute as @a[tag=!pulled,gamemode=survival] at @s if entity @e[tag=blob2,type=villager,distance=..0.9] run function flesh:pull
execute as @a[tag=pulled] at @s unless entity @e[tag=blob2,type=villager,distance=..1] run tag @s remove pulled
execute as @a[tag=pulled] run effect give @s slowness 2 255 true
execute as @a[tag=pulled] run effect give @s invisibility 2 255 true
execute as @a[tag=pulled] run effect give @s blindness 2 255 true
execute as @e[tag=blob2,type=villager] at @s if entity @e[tag=pulled,distance=..1] if block ^ ^ ^0.1 #sun:light run tp @s ^ ^ ^0.1
execute as @a[tag=pulled] at @s as @e[type=villager,tag=blob2,distance=..1,sort=nearest,limit=1] at @s if block ^ ^ ^-0.8 #sun:light rotated ~ 0 run tp @a[tag=pulled,limit=1,sort=nearest] ^ ^ ^-0.8 facing entity @s feet 
#flesh fusey stuffs
execute as @a at @s as @e[type=silverfish,tag=blob1,distance=..130] at @s run function flesh:fuse_check
execute as @a at @s as @e[type=villager,tag=blob2,distance=..130] at @s run function flesh:fuse_check
execute as @a at @s as @e[type=piglin_brute,tag=Blob3,distance=..130] at @s run function flesh:fuse_check
#flesh despawn stuffs
execute as @e[type=silverfish,tag=blob1] at @s if entity @a[distance=130..] run tp @s ~ -999 ~
execute as @e[type=villager,tag=blob2] at @s if entity @a[distance=130..] run tp @s ~ -999 ~
execute as @e[type=piglin_brute,tag=Blob3] at @s if entity @a[distance=130..] run tp @s ~ -999 ~
execute as @e[type=piglin_brute,tag=Blob4] at @s if entity @a[distance=130..] run tp @s ~ -999 ~
#sun
execute at @a if entity @e[type=armor_stand,tag=on] as @e[type=!player,team=!blobs,type=!#sun:large,type=!#sun:small,type=!#sun:flesh_less,distance=..130,nbt=!{active_effects:[{id:"minecraft:regeneration"}]}] store result score @s sky run data get entity @s Pos[1]
execute at @a if entity @e[type=armor_stand,tag=on] as @e[type=!player,team=!blobs,type=!#sun:large,type=!#sun:small,type=!#sun:flesh_less,distance=..130,nbt=!{active_effects:[{id:"minecraft:regeneration"}]}] unless predicate cegm:sunscreen if predicate cegm:weather at @s if dimension minecraft:overworld if block ~ ~ ~ #sun:light run function sun:sky
execute at @a if entity @e[type=armor_stand,tag=on] as @e[team=!blobs,type=#sun:small,type=!#sun:flesh_less,distance=..130,nbt=!{active_effects:[{id:"minecraft:regeneration"}]}] store result score @s sky run data get entity @s Pos[1]
execute at @a if entity @e[type=armor_stand,tag=on] as @e[team=!blobs,type=#sun:small,type=!#sun:flesh_less,distance=..130,nbt=!{active_effects:[{id:"minecraft:regeneration"}]}] at @s if dimension minecraft:overworld if predicate cegm:weather if block ~ ~ ~ #sun:light run function sun:sky2
execute at @a if entity @e[type=armor_stand,tag=on] as @e[team=!blobs,type=#sun:large,type=!#sun:flesh_less,distance=..130,nbt=!{active_effects:[{id:"minecraft:regeneration"}]}] store result score @s sky run data get entity @s Pos[1]
execute at @a if entity @e[type=armor_stand,tag=on] as @e[team=!blobs,type=#sun:large,type=!#sun:flesh_less,distance=..130,nbt=!{active_effects:[{id:"minecraft:regeneration"}]}] at @s if dimension minecraft:overworld if predicate cegm:weather if block ~ ~ ~ #sun:light run function sun:sky3
execute as @a[tag=!melty] if entity @e[type=armor_stand,tag=on] at @s store result score @s sky run data get entity @s Pos[1]
execute as @a[tag=!melty] if entity @e[type=armor_stand,tag=on] at @s unless predicate cegm:sunscreen if predicate cegm:weather at @s if dimension minecraft:overworld if block ~ ~ ~ #sun:light run function sun:skyp
execute as @a if entity @e[type=armor_stand,tag=on] at @s store result score @s sky run data get entity @s Pos[1]
execute as @a if entity @e[type=armor_stand,tag=on] at @s if predicate cegm:weather at @s if dimension minecraft:overworld if block ~ ~ ~ #sun:light run function sun:skyscreen
#cure
execute as @a[tag=melty,nbt={active_effects:[{id:"minecraft:regeneration"}]}] at @s run function sun:safe
#sunburn effects
execute as @a[tag=melty] run effect give @s nausea 10 2 true
execute as @a[tag=melty] run effect give @s weakness 10 2 true
execute as @a[tag=melty] run effect give @s hunger 10 2 true
#anim.
execute as @e[tag=blob2] at @s if entity @a[distance=..130] run function cegm:animate
#misc.
execute as @a[tag=melty,advancements={cegm:adv8=false}] run advancement grant @s only cegm:adv8
execute as @e[tag=fuse_ready,scores={fuse_delay=40..}] run function flesh:fuse_reset
#day counter
execute store result score Day day run time query day
execute if entity @a[tag=warn,tag=started] if score Day day matches 2 run function start:warning
execute if entity @a[tag=event_started,tag=started] if score Day day matches 3 run function start:burn
execute as @a[tag=survived_lel,tag=started] if score Day day matches 100.. run function cegm:survived

